Getting Estimated Wait Times
You can use a GET request to retrieve the Estimated Wait Time for an interaction.
Estimated Wait Time is the estimated length of time that an interaction will wait in the queue until it is accepted by an agent. The calculation is based on how long the interaction has been waiting in the queue and the average time to answer for the last 15 minutes. After the wait time is calculated, the value is rounded up to the minute. For example, if the calculation returns 25 seconds, the Estimated Wait Time is one minute.
This request considers a maximum of 100 records over the previous 15 minutes. If no records are available to calculate the Average Wait Time, the response returns null.
| Before making a query for Estimated Wait Time, an interaction must first be added to the queue. We recommend waiting a couple of seconds after putting an interaction on a queue before querying for Position in Queue to ensure the data is available in reporting. |
Request
Sample request
The request below retrieves Estimated Wait Time for the specified interaction:
curl -X GET -H "Content-Type: application/json" https://api.cxengage.net/v1/tenants/<tenantId>/interactions/<interactionId/realtime-statistics/estimated-wait-time
Request parameters
The table below lists the parameters you can include in a request:
| Parameter | Required? | Type | Description |
|---|---|---|---|
| tenantId | yes | UUID |
The unique identifier of the tenant. |
| interactionId | yes | UUID | The interaction's unique identifier. |
Response
Sample response
The request returns JSON structured like the example below:
{
"results": {
"time": null,
"unit": "time",
"queryWindow": {
"start": "2018-12-06T05:00:00.000Z",
"end": "2018-12-07T04:59:59.999Z"
}
},
"queryTime": 50
}
Response parameters
The response includes the following parameters:
| Parameter | Type | Description |
|---|---|---|
| time | string | The estimated wait time, in minutes, before an agent accepts the interaction. |
| unit | string |
How the value is measured. For example, as a count, percentage, or time. |
| queryWindow | object |
A JSON object containing the following parameters:
|
| queryTime | string |
The length of time, in milliseconds, that it took for the API to respond to the call. |
Copyright © 2026 Enghouse Interactive. All Rights Reserved.